Bug 8656 - Koha::Calendar not loading both sets of special dates
Summary: Koha::Calendar not loading both sets of special dates
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.8
Hardware: All All
: P1 - high major (vote)
Assignee: Colin Campbell
QA Contact: Mason James
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-20 14:19 UTC by Colin Campbell
Modified: 2013-12-05 20:01 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (2.34 KB, patch)
2012-08-20 14:37 UTC, Colin Campbell
Details | Diff | Splinter Review
Bug 8656 Calendar needs to load both exception and nonexception dates (2.38 KB, patch)
2012-08-22 01:32 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2012-08-20 14:19:46 UTC
Both the exception holidays and special holidays are being loaded from the same data it should load one from entries with isexception set and another wit it not set
Comment 1 Colin Campbell 2012-08-20 14:37:10 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2012-08-22 01:32:19 UTC
Created attachment 11734 [details] [review]
Bug 8656 Calendar needs to load both exception and nonexception dates

single_holidays and exception_holidays were both being selected
with the same parameter with the result that single holidays were not
being loaded.

Have removed the retrieval of the unused parameters title and
description.

In effect the distinction is not meaningful for these routines and
the two structures could become one. This patch just fixes the
current bug

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 3 Mason James 2012-09-14 05:12:55 UTC
> Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Colin, i upgraded the priority

patch looks good, passing QA...

$ koha-qa.pl

testing 1 commit(s) (applied to commit 60790d0)
 * d40a73c Bug 8656 Calendar needs to load both exception and nonexception d
      Koha/Calendar.pm

* Koha/Calendar.pm                                                         OK
Comment 4 Paul Poulain 2012-09-14 12:52:45 UTC
Patch pushed to master
Comment 5 Chris Cormack 2012-09-15 19:54:09 UTC
Pushed to 3.8.x, will be 3.8.5